Bug 536180 - (RHQ-558) Expose the parent resource context to the child resource discovery context
Expose the parent resource context to the child resource discovery context
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
1.0
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Greg Hinkle
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-10 11:56 EDT by Greg Hinkle
Modified: 2008-06-17 14:51 EDT (History)
0 users

See Also:
Fixed In Version: 1.0.1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Hinkle 2008-06-10 11:56:00 EDT
We need to do this to make the parent's plugin configuration available, but it may also be useful to expose the event and operation context for coordination and other reasons. Rather than having each plugin manually expose via boilerplate we'll expose it where its most needed in the child's resource discovery context.
Comment 1 Greg Hinkle 2008-06-10 12:15:20 EDT
Fixed in r949
Comment 2 Jeff Weiss 2008-06-17 14:50:33 EDT
ghinkle is not around to confirm that these are code-level, but on this one dev seems to agree.
Comment 3 Red Hat Bugzilla 2009-11-10 16:11:52 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-558

Note You need to log in before you can comment on or make changes to this bug.